<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:math="http://www.w3.org/2005/xpath-functions/math"
    xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
    exclude-result-prefixes="xs math"
    version="1.0">
    <xsl:output method="text"/>
    <xsl:template match="text()">
        <xsl:text> </xsl:text>
        <xsl:value-of select="normalize-space(.)"/>
    </xsl:template>
    <xsl:template match="*">
        <xsl:apply-templates select="node()"/>
    </xsl:template>
    <xsl:template match="w:tc//w:p">
        <xsl:apply-templates select="node()"/>
    </xsl:template>
    <xsl:template match="w:p|w:document|w:body|w:table|w:tr|w:row">
        <xsl:text>
</xsl:text>
        <xsl:apply-templates select="node()"/>
    </xsl:template>
    <xsl:template match="w:pPr|w:rPr|w:bookmarkStart|w:proofErr|w:br|w:bookmarkEnd|w:sectPr|w:lastRenderedPageBreak|w:drawing|w:tblPr|w:tblGrid|w:trPr|w:tcPr|w:sheetViews|w:sheetView|w:sheetFormatPr|w:dimension|w:extLst|w:pageMargins|w:instrText"/>
    
    <xsl:template match="w:p[w:pPr[w:pStyle[starts-with(@w:val, 'TOC')]]]"/>
</xsl:stylesheet>